// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.26.0
// 	protoc        v3.14.0
// source: metal_types.proto

package facility

import (
	state "gitlab.com/mergetb/facility/mars/api/state"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type ListMachineStateRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *ListMachineStateRequest) Reset() {
	*x = ListMachineStateRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_metal_types_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ListMachineStateRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ListMachineStateRequest) ProtoMessage() {}

func (x *ListMachineStateRequest) ProtoReflect() protoreflect.Message {
	mi := &file_metal_types_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ListMachineStateRequest.ProtoReflect.Descriptor instead.
func (*ListMachineStateRequest) Descriptor() ([]byte, []int) {
	return file_metal_types_proto_rawDescGZIP(), []int{0}
}

type ListMachineStateResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	States map[string]state.MachineState `protobuf:"bytes,1,rep,name=states,proto3" json:"states,omitempty" protobuf_key:"bytes,1,opt,name=key,proto3" protobuf_val:"varint,2,opt,name=value,proto3,enum=state.MachineState"`
}

func (x *ListMachineStateResponse) Reset() {
	*x = ListMachineStateResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_metal_types_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ListMachineStateResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ListMachineStateResponse) ProtoMessage() {}

func (x *ListMachineStateResponse) ProtoReflect() protoreflect.Message {
	mi := &file_metal_types_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ListMachineStateResponse.ProtoReflect.Descriptor instead.
func (*ListMachineStateResponse) Descriptor() ([]byte, []int) {
	return file_metal_types_proto_rawDescGZIP(), []int{1}
}

func (x *ListMachineStateResponse) GetStates() map[string]state.MachineState {
	if x != nil {
		return x.States
	}
	return nil
}

type SetMachineStateRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	States map[string]state.MachineState `protobuf:"bytes,1,rep,name=states,proto3" json:"states,omitempty" protobuf_key:"bytes,1,opt,name=key,proto3" protobuf_val:"varint,2,opt,name=value,proto3,enum=state.MachineState"`
}

func (x *SetMachineStateRequest) Reset() {
	*x = SetMachineStateRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_metal_types_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *SetMachineStateRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SetMachineStateRequest) ProtoMessage() {}

func (x *SetMachineStateRequest) ProtoReflect() protoreflect.Message {
	mi := &file_metal_types_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SetMachineStateRequest.ProtoReflect.Descriptor instead.
func (*SetMachineStateRequest) Descriptor() ([]byte, []int) {
	return file_metal_types_proto_rawDescGZIP(), []int{2}
}

func (x *SetMachineStateRequest) GetStates() map[string]state.MachineState {
	if x != nil {
		return x.States
	}
	return nil
}

type SetMachineStateResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *SetMachineStateResponse) Reset() {
	*x = SetMachineStateResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_metal_types_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *SetMachineStateResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SetMachineStateResponse) ProtoMessage() {}

func (x *SetMachineStateResponse) ProtoReflect() protoreflect.Message {
	mi := &file_metal_types_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SetMachineStateResponse.ProtoReflect.Descriptor instead.
func (*SetMachineStateResponse) Descriptor() ([]byte, []int) {
	return file_metal_types_proto_rawDescGZIP(), []int{3}
}

var File_metal_types_proto protoreflect.FileDescriptor

var file_metal_types_proto_rawDesc = []byte{
	0x0a, 0x11, 0x6d, 0x65, 0x74, 0x61, 0x6c, 0x5f, 0x74, 0x79, 0x70, 0x65, 0x73, 0x2e, 0x70, 0x72,
	0x6f, 0x74, 0x6f, 0x12, 0x08, 0x66, 0x61, 0x63, 0x69, 0x6c, 0x69, 0x74, 0x79, 0x1a, 0x11, 0x73,
	0x74, 0x61, 0x74, 0x65, 0x2f, 0x73, 0x74, 0x61, 0x74, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x22, 0x19, 0x0a, 0x17, 0x4c, 0x69, 0x73, 0x74, 0x4d, 0x61, 0x63, 0x68, 0x69, 0x6e, 0x65, 0x53,
	0x74, 0x61, 0x74, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x22, 0xb2, 0x01, 0x0a, 0x18,
	0x4c, 0x69, 0x73, 0x74, 0x4d, 0x61, 0x63, 0x68, 0x69, 0x6e, 0x65, 0x53, 0x74, 0x61, 0x74, 0x65,
	0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x46, 0x0a, 0x06, 0x73, 0x74, 0x61, 0x74,
	0x65, 0x73, 0x18, 0x01, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x2e, 0x2e, 0x66, 0x61, 0x63, 0x69, 0x6c,
	0x69, 0x74, 0x79, 0x2e, 0x4c, 0x69, 0x73, 0x74, 0x4d, 0x61, 0x63, 0x68, 0x69, 0x6e, 0x65, 0x53,
	0x74, 0x61, 0x74, 0x65, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x2e, 0x53, 0x74, 0x61,
	0x74, 0x65, 0x73, 0x45, 0x6e, 0x74, 0x72, 0x79, 0x52, 0x06, 0x73, 0x74, 0x61, 0x74, 0x65, 0x73,
	0x1a, 0x4e, 0x0a, 0x0b, 0x53, 0x74, 0x61, 0x74, 0x65, 0x73, 0x45, 0x6e, 0x74, 0x72, 0x79, 0x12,
	0x10, 0x0a, 0x03, 0x6b, 0x65, 0x79, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x03, 0x6b, 0x65,
	0x79, 0x12, 0x29, 0x0a, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0e,
	0x32, 0x13, 0x2e, 0x73, 0x74, 0x61, 0x74, 0x65, 0x2e, 0x4d, 0x61, 0x63, 0x68, 0x69, 0x6e, 0x65,
	0x53, 0x74, 0x61, 0x74, 0x65, 0x52, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x3a, 0x02, 0x38, 0x01,
	0x22, 0xae, 0x01, 0x0a, 0x16, 0x53, 0x65, 0x74, 0x4d, 0x61, 0x63, 0x68, 0x69, 0x6e, 0x65, 0x53,
	0x74, 0x61, 0x74, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x44, 0x0a, 0x06, 0x73,
	0x74, 0x61, 0x74, 0x65, 0x73, 0x18, 0x01, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x2c, 0x2e, 0x66, 0x61,
	0x63, 0x69, 0x6c, 0x69, 0x74, 0x79, 0x2e, 0x53, 0x65, 0x74, 0x4d, 0x61, 0x63, 0x68, 0x69, 0x6e,
	0x65, 0x53, 0x74, 0x61, 0x74, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x2e, 0x53, 0x74,
	0x61, 0x74, 0x65, 0x73, 0x45, 0x6e, 0x74, 0x72, 0x79, 0x52, 0x06, 0x73, 0x74, 0x61, 0x74, 0x65,
	0x73, 0x1a, 0x4e, 0x0a, 0x0b, 0x53, 0x74, 0x61, 0x74, 0x65, 0x73, 0x45, 0x6e, 0x74, 0x72, 0x79,
	0x12, 0x10, 0x0a, 0x03, 0x6b, 0x65, 0x79, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x03, 0x6b,
	0x65, 0x79, 0x12, 0x29, 0x0a, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28,
	0x0e, 0x32, 0x13, 0x2e, 0x73, 0x74, 0x61, 0x74, 0x65, 0x2e, 0x4d, 0x61, 0x63, 0x68, 0x69, 0x6e,
	0x65, 0x53, 0x74, 0x61, 0x74, 0x65, 0x52, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x3a, 0x02, 0x38,
	0x01, 0x22, 0x19, 0x0a, 0x17, 0x53, 0x65, 0x74, 0x4d, 0x61, 0x63, 0x68, 0x69, 0x6e, 0x65, 0x53,
	0x74, 0x61, 0x74, 0x65, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x42, 0x2a, 0x5a, 0x28,
	0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x6d, 0x65, 0x72, 0x67, 0x65,
	0x74, 0x62, 0x2f, 0x66, 0x61, 0x63, 0x69, 0x6c, 0x69, 0x74, 0x79, 0x2f, 0x61, 0x70, 0x69, 0x3b,
	0x66, 0x61, 0x63, 0x69, 0x6c, 0x69, 0x74, 0x79, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_metal_types_proto_rawDescOnce sync.Once
	file_metal_types_proto_rawDescData = file_metal_types_proto_rawDesc
)

func file_metal_types_proto_rawDescGZIP() []byte {
	file_metal_types_proto_rawDescOnce.Do(func() {
		file_metal_types_proto_rawDescData = protoimpl.X.CompressGZIP(file_metal_types_proto_rawDescData)
	})
	return file_metal_types_proto_rawDescData
}

var file_metal_types_proto_msgTypes = make([]protoimpl.MessageInfo, 6)
var file_metal_types_proto_goTypes = []interface{}{
	(*ListMachineStateRequest)(nil),  // 0: facility.ListMachineStateRequest
	(*ListMachineStateResponse)(nil), // 1: facility.ListMachineStateResponse
	(*SetMachineStateRequest)(nil),   // 2: facility.SetMachineStateRequest
	(*SetMachineStateResponse)(nil),  // 3: facility.SetMachineStateResponse
	nil,                              // 4: facility.ListMachineStateResponse.StatesEntry
	nil,                              // 5: facility.SetMachineStateRequest.StatesEntry
	(state.MachineState)(0),          // 6: state.MachineState
}
var file_metal_types_proto_depIdxs = []int32{
	4, // 0: facility.ListMachineStateResponse.states:type_name -> facility.ListMachineStateResponse.StatesEntry
	5, // 1: facility.SetMachineStateRequest.states:type_name -> facility.SetMachineStateRequest.StatesEntry
	6, // 2: facility.ListMachineStateResponse.StatesEntry.value:type_name -> state.MachineState
	6, // 3: facility.SetMachineStateRequest.StatesEntry.value:type_name -> state.MachineState
	4, // [4:4] is the sub-list for method output_type
	4, // [4:4] is the sub-list for method input_type
	4, // [4:4] is the sub-list for extension type_name
	4, // [4:4] is the sub-list for extension extendee
	0, // [0:4] is the sub-list for field type_name
}

func init() { file_metal_types_proto_init() }
func file_metal_types_proto_init() {
	if File_metal_types_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_metal_types_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ListMachineStateRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_metal_types_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ListMachineStateResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_metal_types_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*SetMachineStateRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_metal_types_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*SetMachineStateResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_metal_types_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   6,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_metal_types_proto_goTypes,
		DependencyIndexes: file_metal_types_proto_depIdxs,
		MessageInfos:      file_metal_types_proto_msgTypes,
	}.Build()
	File_metal_types_proto = out.File
	file_metal_types_proto_rawDesc = nil
	file_metal_types_proto_goTypes = nil
	file_metal_types_proto_depIdxs = nil
}
